Package com.sap.ai.sdk.core.model

# Class RTAOutputArtifactArgumentBinding

java.lang.Object
com.sap.ai.sdk.core.model.RTAOutputArtifactArgumentBinding

public class RTAOutputArtifactArgumentBinding extends Object
Result of execution

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `RTAOutputArtifactArgumentBinding.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RTAOutputArtifactArgumentBinding()`
  Default constructor for RTAOutputArtifactArgumentBinding.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RTAOutputArtifactArgumentBinding.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `RTAOutputArtifactArgumentBinding` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RTAOutputArtifactArgumentBinding`.
  `String`
  `getName()`
  Get name
  `String`
  `getUrl()`
  Reference to the location of the artifact.
  `int`
  `hashCode()`
  `RTAOutputArtifactArgumentBinding`
  `name(String name)`
  Set the name of this `RTAOutputArtifactArgumentBinding` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RTAOutputArtifactArgumentBinding` instance.
  `void`
  `setName(String name)`
  Set the name of this `RTAOutputArtifactArgumentBinding` instance.
  `void`
  `setUrl(String url)`
  Set the url of this `RTAOutputArtifactArgumentBinding` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RTAOutputArtifactArgumentBinding` instance including unrecognized properties.
  `String`
  `toString()`
  `RTAOutputArtifactArgumentBinding`
  `url(String url)`
  Set the url of this `RTAOutputArtifactArgumentBinding` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RTAOutputArtifactArgumentBinding

    protected RTAOutputArtifactArgumentBinding()
    Default constructor for RTAOutputArtifactArgumentBinding.

- ## Method Details

  - ### name

    @Nonnull public RTAOutputArtifactArgumentBinding name(@Nonnull String name)
    Set the name of this `RTAOutputArtifactArgumentBinding` instance and return the same instance.
    Parameters:
      `name` - The name of this `RTAOutputArtifactArgumentBinding`
    Returns:
      The same instance of this `RTAOutputArtifactArgumentBinding` class

  - ### getName

    @Nonnull public String getName()
    Get name
    Returns:
      name The name of this `RTAOutputArtifactArgumentBinding` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `RTAOutputArtifactArgumentBinding` instance.
    Parameters:
      `name` - The name of this `RTAOutputArtifactArgumentBinding`

  - ### url

    @Nonnull public RTAOutputArtifactArgumentBinding url(@Nullable String url)
    Set the url of this `RTAOutputArtifactArgumentBinding` instance and return the same instance.
    Parameters:
      `url` - Reference to the location of the artifact. Note, the credentials will be found in a secret called 'some_bucket-object_store_secret'. If not provided, a default will be assumed.
    Returns:
      The same instance of this `RTAOutputArtifactArgumentBinding` class

  - ### getUrl

    @Nonnull public String getUrl()
    Reference to the location of the artifact. Note, the credentials will be found in a secret called 'some_bucket-object_store_secret'. If not provided, a default will be assumed.
    Returns:
      url The url of this `RTAOutputArtifactArgumentBinding` instance.

  - ### setUrl

    public void setUrl(@Nullable String url)
    Set the url of this `RTAOutputArtifactArgumentBinding` instance.
    Parameters:
      `url` - Reference to the location of the artifact. Note, the credentials will be found in a secret called 'some_bucket-object_store_secret'. If not provided, a default will be assumed.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RTAOutputArtifactArgumentBinding`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RTAOutputArtifactArgumentBinding` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RTAOutputArtifactArgumentBinding` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RTAOutputArtifactArgumentBinding` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RTAOutputArtifactArgumentBinding.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `RTAOutputArtifactArgumentBinding` instance with all required arguments.